#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 record-dot-preprocessor
version:              0.2.16
visibility:           public
id:                   record-dot-preprocessor-0.2.16-9EEazQy9eqmKyJAQczs0Xr
key:                  record-dot-preprocessor-0.2.16-9EEazQy9eqmKyJAQczs0Xr
license:              BSD-3-Clause
copyright:            Neil Mitchell 2018-2023
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:
    https://github.com/ndmitchell/record-dot-preprocessor#readme

synopsis:             Preprocessor to allow record.field syntax
description:
    In almost every programming language @a.b@ will get the @b@ field from the @a@ data type, and many different data types can have a @b@ field.
    The reason this feature is ubiquitous is because it'\''s /useful/.
    The @record-dot-preprocessor@ brings this feature to Haskell - see the README for full details.

category:             Development
abi:                  7623e636d69315088756c794fba9d8af
exposed:              True
exposed-modules:      RecordDotPreprocessor RecordDotPreprocessor.Lib
hidden-modules:       Compat Edit Lexer Paren
import-dirs:
    /usr/lib/ghc-9.0.2/site-local/record-dot-preprocessor-0.2.16

library-dirs:
    /usr/lib/ghc-9.0.2/site-local/record-dot-preprocessor-0.2.16

dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-record-dot-preprocessor
hs-libraries:         HSrecord-dot-preprocessor-0.2.16-9EEazQy9eqmKyJAQczs0Xr
depends:
    base-4.15.1.0 extra-1.7.14-JlrBndthxFI3XHXpBzjsFJ ghc-9.0.2
    uniplate-1.6.13-KxQ5yPSABvf4zQHojVS8yX

haddock-interfaces:
    /usr/share/doc/haskell-record-dot-preprocessor/html/record-dot-preprocessor.haddock

haddock-html:         /usr/share/doc/haskell-record-dot-preprocessor/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

